List Sandboxes

  • GET
  • /workspaces
  • /:workspace
  • /sandboxes

Get all sandboxes in the workspace for a specific project

Request

REQUIRED SCOPES
SANDBOX_INFO
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

GET PARAMETERS
project_namerequiredstring
The human-readable ID of the project to filter sandboxes

Example: "my-project"

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
sandboxesSandboxIdView[]

Last modified on Jan 26, 2026

Request example

CURL
curl -X GET "https://api.buddy.works/workspaces/:workspace/sandboxes" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
EXAMPLE RESPONSE
{ "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes", "html_url": "https://app.buddy.works/my-workspace/my-project/sandboxes", "sandboxes": [ { "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-12345", "html_url": "https://app.buddy.works/my-workspace/my-project/sandboxes/sb-12345", "id": "sb-12345", "identifier": "my-api-sandbox", "name": "My API Development Sandbox", "status": "RUNNING", "setup_status": "INPROGRESS" }, { "url": "https://api.buddy.works/workspaces/my-workspace/sandboxes/sb-67890", "html_url": "https://app.buddy.works/my-workspace/my-project/sandboxes/sb-67890", "id": "sb-67890", "identifier": "test-environment", "name": "Test Environment Sandbox", "status": "STOPPED", "setup_status": "SUCCESS" } ] }
STATUS
200 OK